For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contact Type

the ContactType API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
get/erp/contact-types/{id}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
put/erp/contact-types/{id}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/contact-types/{id}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
put/erp/contact-types/{id}/deactivate

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
put/erp/contact-types/{id}/activate

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

type label

typestring · enumRequired

type

Possible values:
activebooleanOptional

active

Default: true
post/erp/contact-types

Last updated

Was this helpful?